Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

licode doesn't work with DTLSv1.2 in chrome version 74 #1373

Closed
y0zg opened this issue Mar 4, 2019 · 4 comments

Comments

Projects
None yet
4 participants
@y0zg
Copy link

commented Mar 4, 2019

Currently licode isn't adopted to use chrome version 74 and DTLSv1.2

Please let me know if there are intentions to fix this.

https://groups.google.com/forum/#!searchin/discuss-webrtc/dtls%7Csort:date/discuss-webrtc/yr6gbAgWsKo/9X5vQb8kGAAJ

@y0zg y0zg changed the title licode doesn't work with DTLSv1.0 in chrome version 74 licode doesn't work with DTLSv1.2 in chrome version 74 Mar 4, 2019

@kekkokk

This comment has been minimized.

Copy link
Contributor

commented Mar 4, 2019

how did u tested it? is there any way to force chrome 74 to use DTLS1.2? 'Cause I tried last dev Chrome 74 and connects fine

Can you post your browser console screenshot?

@y0zg

This comment has been minimized.

Copy link
Author

commented Mar 4, 2019

Checked again, it seems that there is something wrong in my build and running of installUbuntuDeps.sh as openssl version 1.0.1 is used by default in container, when I install openssl 1.0.2 it started working. Let me double check this tomorrow and I'll let you know
Thank you!

@dqgv587

This comment has been minimized.

Copy link

commented Mar 19, 2019

In my licodeMCU server, i upgraded licode to pre-v7.8. However, ICE connection can't be established. when call onHandshakeCompleted function, webrtc client didn't send rtppacket. It sent a Encrypted Alert packet. My openssl's version is 1.0.2j.

@jcague

This comment has been minimized.

Copy link
Contributor

commented Mar 19, 2019

this should be fixed now

@jcague jcague closed this Mar 19, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.